package xyz.etztech.qol.listeners;

import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockIgniteEvent;
import org.bukkit.event.player.PlayerBucketEmptyEvent;
import xyz.etztech.qol.QoL;

public class PlayerBucketEmptyListener implements Listener {

    QoL plugin;

    public PlayerBucketEmptyListener(QoL plugin) {
        this.plugin = plugin;
        plugin.getServer().getPluginManager().registerEvents(this, plugin);
    }

    @EventHandler
    public void onPlayerBucketEmpty(PlayerBucketEmptyEvent event) {
        Player player = event.getPlayer();
        if( event.getBucket() == Material.LAVA_BUCKET) {
            plugin.getGriefAlert().addAlert(player.getName() + " poured lava.");
        }
    }
}
